View Issue Details

IDProjectCategoryView StatusLast Update
14206Feature requests[All Projects] Expression Managerpublic2019-09-07 11:02
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary14206: Allow plugin to update expression knowVars
Description

In 4.0 : plugin can add function
POlugin can use static function to add tempVars (static var only) (for current page (to be tested)) : https://github.com/LimeSurvey/LimeSurvey/blob/2d58085ced72e2bb471aa8b4493b3730aa9e4749/application/helpers/expressions/em_manager_helper.php#L8177

But there are no way to add/update exiting knowVars

Additional Information

Some idea of purpose
We have some user ask to have QCODE.help (like QCODE.question)
Add some "statistics" to existing SGQA ( QCODE.countAll, QCODE.mediumAll …)
Add some vars for parent : https://bugs.limesurvey.org/view.php?id=14200

TagsNo tags attached.

Relationships

related to 14200 assignedcdorin Bug reports EM missing data for multiple choice questions 
related to 08309 resolvedDenisChenu Feature requests Please add variable to access question help text 
has duplicate 12514 closedDenisChenu Development  Add an new setKnowVar public function in EM 

Issue History

Date Modified Username Field Change
2018-11-03 15:57 DenisChenu New Issue
2018-11-03 15:58 DenisChenu Relationship added related to 14200
2018-11-03 16:05 DenisChenu Relationship added related to 08309
2019-08-05 16:27 DenisChenu Assigned To => DenisChenu
2019-08-05 16:27 DenisChenu Status new => resolved
2019-08-05 16:27 DenisChenu Resolution open => fixed
2019-08-05 16:27 DenisChenu Fixed in Version => 4.0.0dev
2019-08-05 16:27 DenisChenu Note Added: 53110
2019-09-07 11:02 DenisChenu Relationship added has duplicate 12514